  
function LevelMeters()
{
	return View("Farrago.FGLevelMeterView").setValues({ 
		gxValueKeyPath: "",
		gxLayout: [
			"H:|[left]-4-[right(==left)]|",
			"V:|[left]|",
			"V:|[right]|"
		],
		gxChildViews: [
			LevelMeter("L",4).viewName("left"),
			LevelMeter("R",4).viewName("right"),
		],
	}).width(20)
}

function LevelMeter(label, radius = 6)
{  
	return View("GXLayerHostingView").setValues({ 
		gxLayout: [
			"H:|[clip]|",
			"H:|[back]|",
			"H:|[peak]|",
			"H:|[rms]|",
			`V:|[clip(${radius})]`,
			"V:|[back]|",
			`V:|-(${radius})-[peak]|`,
			`V:|-(${radius})-[rms]|`, 
			`V:|-(${radius})-[labelBack]-2-|&alignCenterX`,
			'H:|[labelBack]|',
			'V:[labelFore(==labelBack)]',
			'H:[labelFore(==labelBack)]',
			'V:[labelFore]-<=0-[labelBack]&alignCenterX',
			'H:[labelFore]-<=0-[labelBack]&alignCenterY',
		],
		gxRootLayer: {
			nsClass: "GXDrawLayer",
			gxNeedsDisplayOnResize: false, 
			gxValueKeyPath: "",
			gxSublayers: [ 
				Layer().backPainter(Painter().radii(radius, radius, 0, 0).fill(Colors.warning)).viewName("clip").layerZ(5),
				Layer().backPainter(Painter().radius(radius).fill(MainThemeColor(Colors.tertiary.withAlpha(0.4), Colors.secondaryBackgroundMix))).viewName("back"),
				Layer().backPainter(Painter().radii(0, 0, radius, radius).fill(Colors.tileTint)).layerZ(1).viewName("peak"),
				Layer().backPainter(Painter().radii(0, 0, radius, radius).fill(Colors.tileTint)).viewName("rms").layerZ(2),
				LabelLayer(label).keyPath("").fontColor(Colors.tileTintContent).fontSize(8).textAlign(0.5,1).viewName("labelFore").layerZ(8),   
				LabelLayer(label).keyPath("").fontColor(Colors.secondaryContent).fontSize(8).textAlign(0.5,1).viewName("labelBack").layerZ(7),  
			]
		}
	}).keyPath("")
}