let setsItemHeight = 26;

markup.push({
	"SetItemView": {
		nsClass: "Farrago.FGTileSetView", 
		"selectable": true,
		"multipleSelection" : true,
		"drawsSelected": true,
		gxDraggable: true,
		gxDraggingRequiresFocus: false,
		gxDragController: {
			nsClass: "Farrago.FGSetListDragController",
			gxInsertionViewOffset: "0,-4",
			"gxInsertionView" : {
				nsClass: "GXDrawView",
				gxIntrinsicHeight: 3,
				gxIntrinsicWidth: -1, 
				gxBackPainter: Painter().radius(1.5).insets(10, 0, 0, 0).fill(Colors.secondaryContent) 
			},
		},
        // gxDrawsFocused: true,
		axTitleKeyPath : "title",
		axIsIgnored: false,
		axRoleDescription: "Set List Item",
		axHelp: "VO press to switch to “<gx>title</gx>”",
        doubleClickAction: "startEditingTitle",
		gxCanDrawSubviewsIntoLayer: true,
        gxIntrinsicHeight: setsItemHeight,
        gxIntrinsicWidth: -1,
		gxMenuItemsKeyPath: "contextualItems", 
		gxAutoEnablesItems: false, 
		gxBackPainter: {
			nsClass: "GXRoundRectPainter",
			gxCornerRadius: 8,
            gxEdgeInsets: "10,0,0,0",
			gxFillColor: Colors.invisible
				.addStyle("pressed", Colors.tertiary)
				.addStyle("selected", Colors.tertiary)
				.addStyle("focused", Colors.tileTint), 
			gxStrokeWidth: 1,
			gxFrameColor: Colors.invisible.state("selected", Colors.contrast),
		}, 
		
        gxLayout: [
            `V:[self(${setsItemHeight})]`,
            "H:|-18-[lock]-2-[title]",        // width set in code
            "V:|-0-[title]-2-|",
             
			"V:[midiKey(15)]",
			"V:[hotKey(15)]",
			`H:[self]-(<=0)-[openSetButton(20)]-(5@200)-[midiKey(${Constants.midiPillWidth})]-(5@300)-[hotKey(${Constants.setHotKeyPillWidth})]-(5)-|&alignCenterY`,
 		   	"V:[openSetButton(15)]",
			"H:[openSetButton]-(>=8)-|",
			"V:[status(20)]",
			"H:[self]-(<=0)-[status(18)]-(>=5)-|&alignCenterY", // horizontal position set in code
			"H:[self]-(<=0)-[openSetButton]-(5@200)-[midiKey]&alignCenterY", // horizontal position set in code
			
        ],
		gxChildViews : {
			"lock" : Label("")
				.intrinsicSize(-1,-1)
				.forePainter(ImagePainter("lock-small").tintColor(Colors.setListText))
				.setValue(true,"gxDrawsFocused")
				.keyPath("")  
				.height(20)
				.centerV(),
			"title": {
                nsClass: "GXLabelView",
                gxIntrinsicWidth: -1,
                gxValueKeyPath : "title",
                gxDrawsFocused: true,
                gxIgnoreMouseClick: true,
                gxForePainter: {
                    "+": "LabelFore.left.size13",
                    gxFontColor: Colors.setListText,  
                },
			},
			
			"openSetButton": Button()
				.className("Farrago.FGOpenSetButton")
				.backPainter(Painter().radius(2).stroke(1, Colors.setListTextSecondary.showPressed()))
				.forePainter(ImagePainter("icon-open-in-other-window").tintColor(Colors.setListTextSecondary.showPressed()))
				.toolTip("Open in secondary window")
				.ignoreAX()
				.keyPath("openInWindow"),
		 
            "status": {
                nsClass: "GXLabelView",
                gxValueKeyPath: "",
                gxDrawsFocused: true,
                gxShowOnKey : "showPlayingIcon",
                gxBackPainter: {
                    "+": "ImagePainter.playingIcon",
                    gxTintColor: Colors.setListText,
                },
            },
			"hotKey": {
				nsClass: "GXLabelView",
				gxAddViewBelow: true,
				gxValueKeyPath : "hotKey",
				gxDrawsFocused: true,
				gxIgnoreMouseClick: true,
				gxForePainter: {
					"+": "LabelFore.centerx.secondary.light.size13",
					gxFontColor: Colors.setListTextSecondary,
				},
			},
			"midiKey": {
				nsClass: "GXLabelView",
				gxAddViewBelow: true,
				gxValueKeyPath: "midiResponder.midiNoteValue",
				gxShowOnKey: "midiResponder.hasMidi", 
				gxIgnoreMouseClick: true,
				gxDrawsFocused: true,
				gxForePainter: {
					"+": "LabelFore.centerx.secondary.size13",
					gxFontColor: Colors.setListText,
				},
				gxBackPainter: {
					nsClass : "GXRoundRectPainter",
					gxCornerRadius: 6,
					gxStrokeWidth: 1,
					gxFrameColor: Colors.setListText,
				},
			},
		},
	},  
});
