function TrialBar()
{
    return View("GXSettingsView").setValues({
        gxIntrinsicWidth: -1,
        gxViewName: "trialbar",
        gxChildViews: {
            "fixedHeightContainer" : {
                // the entire contents of the trialbar are placed inside a drawview
                // that isn't resized vertically, so it draws only once
                nsClass: "GXDrawView",
                gxCanDrawSubviewsIntoLayer: true,   // draw everything into one layer
                gxIntrinsicWidth: -1,
                gxValueKeyPath: "trialStyles",
                axIsIgnored: true,
                "gxStylesKeyPath": "trialStyles",
                gxBackPainter: {
                    nsClass: "GXRoundRectPainter",
                    gxCornerRadius: 0,
                    gxFillColor: "name:trialFill",
                },
                gxLayout: [
                    "V:|-0-[self]-0-|",
                    "H:|-0-[self]-0-|",
                    "V:|-9-[trialText(20)]",
                    "V:|-7-[trialDetails(26)]",
                    "H:|-12-[trialText]-20-[trialDetails(120)]-12-|",
                ],
                gxChildViews: {
                    "trialText": {
                        nsClass: "GXLabelView",
                        gxIntrinsicWidth: -1,
                        gxValueKeyPath: "trialText",
                        gxHideOnNilValue: true,
                        axIsIgnored: false,
                        axTitleKeyPath: "trialText",
                        gxForePainter: "LabelFore.left.centery.wrap.white.size13",
                    },
                    "trialDetails": {
                        nsClass: "FGButtonView",
                        gxIntrinsicWidth: -1,
                        gxValueKeyPath: "trialBtn",
                        gxHideOnNilValue: true,
                        gxTitle: "Details",
                        axTitle: "Trial Details",
                        gxForePainter: "LabelFore.centerx.centery.wrap.white.size13",
                        gxBackPainter: {
                            nsClass: "GXRoundRectPainter",
                            gxCornerRadius: 3,
                            gxFillColor: "gray:0,22",
                            gxFrameColor: "gray:0,15",
                            "pressed": {
                                gxFillColor: "gray:0,32",
                                gxFrameColor: "gray:0,25",
                            }
                        },
						gxViewFlipped: false, // Make focus ring look right
                    },
                },
            },
        },
    });
}