markup.push
({ 
    "FramedTextField"   : TextFieldView().painterByMutating("gxBackPainter", (painter)=>{
        return painter.radius(6).insets(3,0,0,0);
    }).frame("0,0,100,26"),
    "PopupButton"  : PopupButton().frame("0,0,200,26"), 
	"AddButton"    : Button().backPainter(TemplatePainter("SetButtonBack.setsPlus")).frame("0,0,20,20"),
	"RemoveButton" : Button().backPainter(TemplatePainter("SetButtonBack.setsMinus")).frame("0,0,20,20"),

    "RuleEditorWindow" : Window("New Smart Set", VStack([
        
        Padding(),

        HStack([
            Padding(16),
            TextFieldView("FGRuleEditorTextField")
                .label("Smart Set Name:")
                .height(26)
                .keyPath("setName")
                .width(180), 
            Spacer()
        ]).makeView().height(36),

        Padding(),

        ZStack([
            View().backPainter(Painter().radius(6).stroke(1, Colors.secondaryBackground)).fillFrame(),
            RuleEditor() 
                .hPad(1)
                .vPad(4),   
        ]).makeView().hPad(10),

        Padding(10), 

        HStack([
            Padding(5),
            ReadoutLabel().left().keyPath("matchedTiles").width(300),
            Spacer(),
            PushButton("Cancel") 
                .toolTip("Cancel smart set creation")
                .keyPath("cancelBtn")
                .width(70),
            Padding(8),
            PushButton("OK")
                .keyEquivalent("\r")
                .toolTip("Complete smart set creation")
                .keyPath("okButton")
                .width(70),
        ])
        .makeView()
        .height(34)
        .hPad(12),

        Padding(10),
    ])
    .background(Color(Colors.mainBackground))
    .addLayout("H:[self(700)]").addLayout("V:[self(<=100@600)]"))
    .setValue(true,"gxAutoRecalculatesKeyViewLoop"),	
});
