markup.push
({
"SetWindow" : Window("Set Window", ZStack([  
		Divider().viewName("headerDivider"),
		TrialBar().fillWidth(),   
		View("GXSplitView") 
			.childViews([   
				SetsPanel(showSets=false),  
				BoardViewPanel(ShowSearchButton()),
				InspectorPanel()
					.setValues({ 
						gxMinPanelSize: Constants.minInspectorWidth,
						gxHoldingPriority: 400, 
						gxCollapsible: true,
					}), 
		])
		.keyPath("currentTileSet.splitViewState")
		.setValues({
			gxDividerColor: Colors.divider,
		})
		.viewName("splitView") 
		.leftPad(0)
		.rightPad(0),
	
	])
	.background(Color(Colors.mainBackground))
	.addLayout("H:[self(>=550)]")
	.addLayout("V:[self(>=550)]")
	.addLayout(`V:|-(${Constants.headerHeight})-[headerDivider]-0-[trialbar]-0-[splitView]-0-|`)
	)
	.className("Farrago.FGBoardWindow")
	.setValues({
		gxCanFullScreen: true,
		gxBackColor: Colors.mainBackground, 
		"toolbarView" : HStack([    
			
			Label() 
				.fontSize(14)
				.fontColor(Colors.primary)	
				.medium() 
				.keyPath("setTitle"), 

			Spacer(priority=100), // Push the views to the left and the right of the spacer to the edges of the toolbar.
   
			ToolbarButton("control-previous", "Previous", "", "prevBtn")
					.setAXHelp("Plays previous track in playlist")
					.width(58)
					.collapseKey("fullTransportHidden", true),
			ToolbarButton("control-next", "Next", "", "nextBtn")
					.setAXHelp("Plays next track in playlist")
					.width(56)
					.collapseKey("fullTransportHidden", true),
		])
		.makeView("GXSettingsView")    
		.keyPath("")
		.addLayout(`V:[self(>=${Constants.headerHeight})]`) 
 
}),	
});

function BoardViewPanel(leftPanelButton)
{
	return View().childViews([
			TileScrollView()  
				.topPad(0),
			VList([
				ListModeFooter().showKey("showListFooter"),
				MainFooterView(leftPanelButton).showKey("showMainFooter"),
			])
			.bottomPad(0)
			.hPad(0) 
			.viewName("mainFooterListView"),
		])
		.topPad(0)
		.bottomPad(0)
		.fillWidth(1000)
		.backPainter(Painter().fill(Colors.mainBackground))
		.keyPath("")
		.setValues({
			gxMinimumPanelSize: Constants.minBoardWidth,
			gxFrameRect: "0,0,600,0", // Set up the initial width for this panel. 
			gxHoldingPriority: 300,
			gxCollapsible: false,
		});
};

function ShowSetsButton()
{
	return ToggleInspectorButton("Show Sets", "Hide Sets", "showSetsPanel", asset="hide-sets");
}

function ShowSearchButton() 
{
	return ToggleInspectorButton("Show Search", "Hide Search", "showSetsPanel", asset="hide-sets");
}